Uses of Class
org.apache.juneau.http.classic.response.Ok
Packages that use Ok
Package
Description
Predefined HTTP headers, parts, entities, resources, and responses built on the classic Apache HttpComponents API.
HTTP Response Exception Beans
Example / demo Microservice REST Resources
-
Uses of Ok in org.apache.juneau.http.classic
Fields in org.apache.juneau.http.classic declared as OkMethods in org.apache.juneau.http.classic that return Ok -
Uses of Ok in org.apache.juneau.http.classic.response
Subclasses of Ok in org.apache.juneau.http.classic.responseModifier and TypeClassDescriptionstatic classUnmodifiable point-in-time snapshot of the enclosingOkresponse.Fields in org.apache.juneau.http.classic.response declared as OkModifier and TypeFieldDescriptionstatic final OkOk.INSTANCEDefault unmodifiable instancestatic final OkOk.OKReusable unmodifiable instanceMethods in org.apache.juneau.http.classic.response that return OkModifier and TypeMethodDescriptionOk.copy()Creates a builder for this class initialized with the contents of this bean.protected OkOk.unmodifiable()Constructors in org.apache.juneau.http.classic.response with parameters of type Ok -
Uses of Ok in org.apache.juneau.microservice.examples
Methods in org.apache.juneau.microservice.examples that return OkModifier and TypeMethodDescriptionDebugResource.createJettyDump(RestRequest req, RestResponse res) [POST /jetty/dump] - Generates and saves the jetty thread dump file to jetty-thread-dump.log.